petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPythonSetType

Initalize a TS object implemented in Python.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPythonSetType(TS ts,const char pyname[])

Collective on TS Many br

### Input Parameter

| ts | - the nonlinear solver (TS) context. Many br
| pyname | - full dotted Python name [package].module[.{class|function}] Many br

### Options Database Key

-ts_python_type <pyname> - Many br Many br

### Keywords

TS, Python

### See Also

TSCreate(), TSSetType(), TSPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/ts/impls/python/pythonts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages